<div class="container-fluid shadow-lg mt-3 p-4 w-50 rounded-4">
  <div class="row d-flex align-items-center mt-1" *ngFor="let item of todos; let i = index" [ngClass]="setClass(item)">
    <div class="col-1 text-center">
      <mat-checkbox class="mt-2 p-2" color="primary" (change)="isCompleted(item)"></mat-checkbox>
    </div>
    <div class="col-8">
      <div *ngIf="!item.isEditable; else elseBlock">
        <span class="fs-4">{{item.title}}</span>
      </div>
      <ng-template #elseBlock>
        <div class="input-group">
          <input type="text" (change)="updateTodo($event, item)" [value]="item.title">
        </div>
      </ng-template>
    </div>
    <div class="col-3 text-center d-flex align-items-center">
      <button class="fa fa-regular fa-trash delete" (click)="deleteItem(item)"></button>
      <button
        *ngIf="!item.isEditable; else applyBlock"
        class="fa fa-regular fa-edit ms-1 update"
        (click)="toggleEditMode(item)">
      </button>
      <ng-template #applyBlock>
        <button class="btn btn-success ms-1" (click)="toggleEditMode(item)">Fine</button>
      </ng-template>
    </div>
  </div>
</div>
